module CrossSpec
  class ServiceMessage < Message
    def initialize(service:, data: nil, biomarkers: nil)
      super(data: data, biomarkers: biomarkers)
      @service = service
    end

    attr_reader :service

    def self.from_json(json)
      new(
        service: json["service"],
        data: json["data"],
        biomarkers: json["biomarkers"]
      )
    end
  end
end
