module CrossSpec
  class TaskMessage < Message
    def initialize(task:, data: nil, biomarkers: nil)
      super(data: data, biomarkers: biomarkers)
      @task = task
    end

    attr_reader :task

    def self.from_json(json)
      new(
        task: json["task"],
        data: json["data"],
        biomarkers: json["biomarkers"]
      )
    end
  end
end
